# Class FeedController

- Defined in feeds/src/controller.ts:8

#####
Index

### Constructors

constructor

### Properties

compiler
getLoader
getRequestItems
options

### Methods

_getDifferenceLoader
_getIntersectionLoader
_getRequestLoader
_getRequestsLoader
_getUnionLoader
load

##
Constructors

### constructor

- new FeedController(options: FeedOptions ): FeedController

- #### Parameters

  - options: FeedOptions

  #### Returns FeedController

  - Defined in feeds/src/controller.ts:11

##
Properties

### compiler

compiler: FeedCompiler

- Defined in feeds/src/controller.ts:9

### getLoader

getLoader: (...args: any[]) => Promise<(limit: number) => Promise<void>> = ...

- Defined in feeds/src/controller.ts:21

### getRequestItems

getRequestItems: (...args: any[]) => Promise<undefined | RequestItem []> = ...

- Defined in feeds/src/controller.ts:15

### `Readonly` options

options: FeedOptions

- Defined in feeds/src/controller.ts:11

##
Methods

### _getDifferenceLoader

- _getDifferenceLoader(
  feeds: Feed [],
  overrides?: Partial< FeedOptions >,
  ): Promise<(limit: number) => Promise<void>>

- #### Parameters

  - feeds: Feed []
  - overrides: Partial< FeedOptions > = {}

  #### Returns Promise<(limit: number) => Promise<void>>

  - Defined in feeds/src/controller.ts:144

### _getIntersectionLoader

- _getIntersectionLoader(
  feeds: Feed [],
  overrides?: Partial< FeedOptions >,
  ): Promise<(limit: number) => Promise<void>>

- #### Parameters

  - feeds: Feed []
  - overrides: Partial< FeedOptions > = {}

  #### Returns Promise<(limit: number) => Promise<void>>

  - Defined in feeds/src/controller.ts:192

### _getRequestLoader

- _getRequestLoader(
  __namedParameters: RequestItem ,
  overrides?: Partial< FeedOptions >,
  ): Promise<(limit: number) => Promise<void>>

- #### Parameters

  - __namedParameters: RequestItem
  - overrides: Partial< FeedOptions > = {}

  #### Returns Promise<(limit: number) => Promise<void>>

  - Defined in feeds/src/controller.ts:70

### _getRequestsLoader

- _getRequestsLoader(
  requests: RequestItem [],
  overrides?: Partial< FeedOptions >,
  ): Promise<(limit: number) => Promise<void>>

- #### Parameters

  - requests: RequestItem []
  - overrides: Partial< FeedOptions > = {}

  #### Returns Promise<(limit: number) => Promise<void>>

  - Defined in feeds/src/controller.ts:43

### _getUnionLoader

- _getUnionLoader(
  feeds: Feed [],
  overrides?: Partial< FeedOptions >,
  ): Promise<(limit: number) => Promise<void>>

- #### Parameters

  - feeds: Feed []
  - overrides: Partial< FeedOptions > = {}

  #### Returns Promise<(limit: number) => Promise<void>>

  - Defined in feeds/src/controller.ts:237

### load

- load(limit: number): Promise<void>

- #### Parameters

  - limit: number

  #### Returns Promise<void>

  - Defined in feeds/src/controller.ts:41